const float BETA = 3950; // should match the Beta Coefficient of the thermistor

void setup() {
  Serial.begin(115200);
}

void loop() {
  int analogValue = analogRead(34);
  float celsius = 1 / (log(1 / (4095. / analogValue - 1)) / BETA + 1.0 / 298.15) - 273.15;
  Serial.print("Temperature: ");
  Serial.print(celsius);
  Serial.println(" ℃");
  delay(1000);
}